Bug 104563 - CAN-2003-0694 Sendmail possible remote exploit
CAN-2003-0694 Sendmail possible remote exploit
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
9
All Linux
high Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
: Security
: 104637 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-17 05:45 EDT by Mark J. Cox (Product Security)
Modified: 2007-03-27 00:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-17 19:42:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-09-17 05:45:53 EDT
There is a bug in the prescan() function of Sendmail versions prior to and
including 8.12.9. The sucessful exploitation of this bug can lead to heap
and stack structure overflows. Although no exploit currently exists, this
issue is locally exploitable and may also be remotely exploitable.
The Common Vulnerabilities and Exposures project (cve.mitre.org) has
assigned the name CAN-2003-0694 to this issue.

Michal Zalewski notified us of this issue Sep16 due to be public Sep23, although
it may have leaked http://hedera.linuxnews.pl/_news/2003/09/17/_long/2170.html

Keeping bug as private until we have confirmation that it is now public

RHSA-2003:283 in progress with security fix
Comment 1 Mark J. Cox (Product Security) 2003-09-17 09:19:48 EDT
Now public
http://marc.theaimsgroup.com/?l=full-disclosure&m=106380379904974
Comment 2 Bill Nottingham 2003-09-17 19:42:20 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-283.html
Comment 3 Mark J. Cox (Product Security) 2003-09-18 08:20:57 EDT
*** Bug 104637 has been marked as a duplicate of this bug. ***
Comment 4 kamo 2003-09-18 22:14:13 EDT
The update rpms for RHL 7.x don't contain fixes for CAN-2003-0681.
Why?

Note You need to log in before you can comment on or make changes to this bug.